aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/scripts/get_mp3_source.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/scripts/get_mp3_source.sh')
-rwxr-xr-xcontrib/scripts/get_mp3_source.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/scripts/get_mp3_source.sh b/contrib/scripts/get_mp3_source.sh
new file mode 100755
index 000000000..b2711a1eb
--- /dev/null
+++ b/contrib/scripts/get_mp3_source.sh
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+
+if [ -f addons/mp3/mpg123.h ]; then
+ echo "***"
+ echo "The MP3 source code appears to already be present and does not"
+ echo "need to be downloaded."
+ echo "***"
+
+ exit 1
+fi
+
+svn export http://svn.digium.com/svn/thirdparty/mp3/trunk addons/mp3
+
+exit 0